## org.apache.catalina.connector.warp
Class WarpRequest.Stream

    java.lang.Object
      java.io.InputStream
          org.apache.catalina.connector.warp.WarpRequest.Stream

Enclosing class:
  WarpRequest

protected class WarpRequest.Stream
extends java.io.InputStream

Constructor Summary
`protected` `WarpRequest.Stream(WarpRequest request)`

Method Summary
`void` `close()`
`WarpSSLData` `getSSL()` Read the data from the SSL environment.
`java.lang.String` `getX509Certificates()`
`int` `read()`
`void` `recycle()`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarpRequest.Stream

    protected WarpRequest.Stream(WarpRequest request)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getX509Certificates

    public java.lang.String getX509Certificates()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSSL

    public WarpSSLData getSSL()
                       throws java.io.IOException

  Read the data from the SSL environment.

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### recycle

    public void recycle()

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.